//
// Created by gigaw on 4/16/2023.
//
#if defined(LINUX) || defined(MINGW)
#include <SDL2/SDL.h>
#else // This works for Mac
#include <SDL.h>
#endif
#include "../include/IScript.hpp"
#include <string>

IScript::IScript(std::string name, std::string filepath) {
    m_name = name;
    m_filepath = filepath;
    m_file->open(filepath); // assumes the script is correctly implementing IScript
}

IScript::~IScript() {
    m_file->close();
}